<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="C:\Aurora_Oct20\RSM\eclipse\workspace-cascadeplus\org.eclipse.wst.rdb.models.dbdefinition\src\model\DatabaseDefinitionModel.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="4.6.2 Intervals    There are two classes of intervals. One class, called year-month intervals, has an express or implied datetime precision that includes no fields other than YEAR and MONTH , though not both are required. The other class, called day-time intervals, has an express or implied interval precision that can include any fields other than YEAR or MONTH .    The actual subset of fields that comprise a value of either type of interval is defined by an  interval qualifier  and this subset is known as the precision of the value. Within a value of type interval, the first field is constrained only by the  interval leading field precision  of the associated  interval qualifier  . Table 6,  Valid values for fields in INTERVAL values , specifies the constraints on subsequent field values.">
<meta name="KeyWords" content="IntervalQualifierType,Class IntervalQualifierType,DatabaseDefinitionModel,model DatabaseDefinitionModel,">
<a href="../../../root.html" target=_top><IMG SRC="../../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>&lt;&lt;enumeration&gt;&gt;&nbsp;IntervalQualifierType&nbsp;{Analysis}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>4.6.2 Intervals
<BR>
<BR>There are two classes of intervals. One class, called year-month intervals, has an express or implied datetime precision that includes no fields other than YEAR and MONTH , though not both are required. The other class, called day-time intervals, has an express or implied interval precision that can include any fields other than YEAR or MONTH .
<BR>
<BR>The actual subset of fields that comprise a value of either type of interval is defined by an &lt;interval qualifier&gt; and this subset is known as the precision of the value. Within a value of type interval, the first field is constrained only by the &lt;interval leading field precision&gt; of the associated &lt;interval qualifier&gt; . Table 6, "Valid values for fields in INTERVAL values", specifies the constraints on subsequent field values.
<BR></font><BR><BR>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Parent&nbsp;Package</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="cat3f27d65902fa.htm" target="contents_frame">DataTypes</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Abstract</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Export&nbsp;Control</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>PublicAccess</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Link&nbsp;Class&nbsp;for</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Class&nbsp;Kind</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>NormalClass</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Cardinality</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>n</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Space</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Concurrency</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>Sequential</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Persistence</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR></TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Attributes</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Type</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Initial&nbsp;Value</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/30.jpg"BORDER=0><a href="att3f37e79d029d.htm" target="contents_frame">YEAR</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3f37e78c029f.htm" target="contents_frame">IntervalQualifierType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/30.jpg"BORDER=0><a href="att3f37e7a502ea.htm" target="contents_frame">MONTH</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3f37e78c029f.htm" target="contents_frame">IntervalQualifierType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/30.jpg"BORDER=0><a href="att3f4e05f103db.htm" target="contents_frame">DAY</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3f37e78c029f.htm" target="contents_frame">IntervalQualifierType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/30.jpg"BORDER=0><a href="att3f4e05f50254.htm" target="contents_frame">HOUR</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3f37e78c029f.htm" target="contents_frame">IntervalQualifierType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/30.jpg"BORDER=0><a href="att3f4e05fa02b1.htm" target="contents_frame">MINUTE</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3f37e78c029f.htm" target="contents_frame">IntervalQualifierType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/30.jpg"BORDER=0><a href="att3f4e05ff0205.htm" target="contents_frame">SECOND</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3f37e78c029f.htm" target="contents_frame">IntervalQualifierType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
</TABLE><BR><BR>
<BR><p><font FACE="Arial, Geneva" SIZE=3><b>Property Settings</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Data Modeler</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>dmItem</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>DMName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsTable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsView</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDomain</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSPPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Synonymns</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>TableSpaceID</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceId</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceType</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>CorrelationName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SelectClause</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsUpdateable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>True</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>CheckOption</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSnapShot</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDistinct</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>PersistToServer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
</TABLE><BR><BR>
</body>
</html>
